# Fedi Photo

Post a photo quickly to the Fediverse.

https://fediphoto.com

*Open, Click, Shared!*

## Install

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
     alt="Get it on F-Droid"
     height="80">](https://f-droid.org/packages/com.fediphoto/)
[<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png"
     alt="Get it on Google Play"
     height="80">](https://play.google.com/store/apps/details?id=com.fediphoto)
     
## How-To

* connect **FediPhoto** client with your _fediverse_ account (mastodon, pleroma and pixelfed*) to retrieve auth token.
     * multiple accounts are supported.
* you'll be requested to concede this [permissions](https://fediphoto.com/privacy-policy.html)
* configure status settings
     * multiple status configurations are supported.
* tap on main screen to open camera, take picture and click on check mark icon (bottom right)
* it's done!! FediPhoto will publish your status and will receive a confirmation message afterwards

## Known Issues

* PixelFed does not allow direct posts via the API as far as I can determine. 
* Not working if PixelFed's 2FA is enabled (this happens with any client).

[Issues](https://github.com/pla1/FediPhoto/issues)

## Changelog

[FediPhoto ChangeLog](https://fediphoto.com/changeLog.html)

## Privacy

[FediPhoto Privacy Policy](https://fediphoto.com/privacy-policy.html)

**FediPhoto** does NOT collect any personal data and/or information. It works locally on your device and information about your account is not shared or stored.

## Developer

* [pla1](https://github.com/pla1)

## Bug Reports & Contributions

Please **open** a [github issue](https://github.com/pla1/FediPhoto/issues) with detailed information about the problem

**Contribute** making feature requests and **code** contributions

Contact translators for translation issues

## Localization

Translate **FediPhoto** _UI_

* **Fork** this repository
* Add *value-XX* folder to **app/src/main/res/** directory
     * where **XX** is Android's language **ISO-639-1** code 
 * Copy _strings.xml_ from _values_ folder into this new created folder for your language
 * Translate it and make a PR to this repository

### Contributors (A-Z)

* Catalan - [spla](https://github.com/splacat)
* Euskera - [Izaro](https://pleroma.libretux.com/users/izaro)
* Galician - [xmgz](https://github.com/xmgz) 
* Italian - [Sylke Vicious](https://github.com/silkevicious)
* Spanish - [xmgz](https://github.com/xmgz) 

